## hd-idle 1.21+ds

=== Makefile ===
MAKEFLAGS += --silent

TARGET = hd-idle
PLATFORM := $(shell uname -m)

ARCH :=
	ifeq ($(PLATFORM),x86_64)
		ARCH = amd64
	endif
	ifeq ($(PLATFORM),aarch64)
		ARCH = arm64
	endif
	ifeq ($(PLATFORM),armv7l)
		ARCH = armhf
	endif
GOARCH :=
	ifeq ($(ARCH),amd64)
		GOARCH = amd64
	endif
	ifeq ($(ARCH),i386)
		GOARCH = 386
	endif
	ifeq ($(ARCH),arm64)
		GOARCH = arm64
	endif
	ifeq ($(ARCH),armhf)
		GOARCH = arm
	endif

ifeq ($(GOARCH),)
  $(error Invalid ARCH: $(ARCH))
endif

ifdef DESTDIR
# dh_auto_install (Debian) sets this variable
  TARGET_DIR = $(DESTDIR)/usr
else
  TARGET_DIR ?= /usr/local
endif

all: $(TARGET)

distclean: clean

clean:
	rm -f $(TARGET)

install: $(TARGET)
	install -Dm755 $(TARGET) $(TARGET_DIR)/sbin/$(TARGET)
	install -Dm755 debian/$(TARGET).8 $(TARGET_DIR)/share/man/man8/$(TARGET).8

uninstall:
	rm -f $(TARGET_DIR)/sbin/$(TARGET)

$(TARGET):
	GOOS=linux GOARCH=$(GOARCH) go build

test:
	go test ./... -race -cover

## hd-idle 1.05+ds

=== debian/changelog ===
hd-idle (1.05+ds-2) unstable; urgency=medium

  * No-change, Source-only upload

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 19 Sep 2019 10:13:38 +0200

hd-idle (1.05+ds-1) unstable; urgency=medium

  * Initial release. Closes: #924749

 -- Alexandre Mestiashvili <mestia@debian.org>  Sun, 17 Mar 2019 16:37:34 +0100

=== debian/control ===
Source: hd-idle
Maintainer: Alexandre Mestiashvili <mestia@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 12~)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/hd-idle
Vcs-Git: https://salsa.debian.org/debian/hd-idle.git
Homepage: http://hd-idle.sf.net

Package: hd-idle
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: lsb-base,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Spin down idle [USB] hard disks
 hd-idle is a utility program for spinning-down external disks after a period
 of idle time. Since most external IDE disk enclosures don't support setting
 the IDE idle timer, a program like hd-idle is required to spin down idle disks
 automatically.
 .
 A word of caution: hard disks don't like spinning up too often. Laptop disks
 are more robust in this respect than desktop disks but if you set your disks
 to spin down after a few seconds you may damage the disk over time due to the
 stress the spin-up causes on the spindle motor and bearings. It seems that
 manufacturers recommend a minimum idle time of 3-5 minutes, the default in
 hd-idle is 10 minutes.
 .
 One more word of caution: hd-idle will spin down any disk accessible via the
 SCSI layer (USB, IEEE1394, ...) but it will not work with real SCSI disks
 because they don't spin up automatically. Thus it's not called scsi-idle and
 It is not recommended to use it on a real SCSI system unless you have a kernel
 patch that automatically starts the SCSI disks after receiving a sense buffer
 indicating the disk has been stopped. Without such a patch, real SCSI disks
 won't start again and you can as well pull the plug.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

mandir:= $(CURDIR)/debian/hd-idle/usr/share/man
%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# upstream ships wrong man section, thus the dirty workaround below
	mkdir -p $(mandir)/man8
	mv $(mandir)/man1/hd-idle.1 \
	   $(mandir)/man8/hd-idle.8
	perl -i -pe 's/\A(\.TH\sHD-IDLE\s)1(.*)\Z/$${1}8$$2/' $(mandir)/man8/hd-idle.8
	rm -rf $(mandir)/man1

## hd-idle 1.21%2Bds

=== debian/control ===
Source: hd-idle
Maintainer: Alexandre Mestiashvili <mestia@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13), golang-any, dh-golang
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/hd-idle
Vcs-Git: https://salsa.debian.org/debian/hd-idle.git
Rules-Requires-Root: no
Homepage: https://github.com/adelolmo/hd-idle
XS-Go-Import-Path: github.com/adelolmo/hd-idle


Package: hd-idle
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using:
    ${misc:Built-Using},
Description: Spin down idle [USB] hard disks
 hd-idle is a utility program for spinning-down external disks after a period
 of idle time. Since most external IDE disk enclosures don't support setting
 the IDE idle timer, a program like hd-idle is required to spin down idle disks
 automatically.
 .
 A word of caution: hard disks don't like spinning up too often. Laptop disks
 are more robust in this respect than desktop disks but if you set your disks
 to spin down after a few seconds you may damage the disk over time due to the
 stress the spin-up causes on the spindle motor and bearings. It seems that
 manufacturers recommend a minimum idle time of 3-5 minutes, the default in
 hd-idle is 10 minutes.

## hd-idle 1.21+ds

=== debian/changelog ===
hd-idle (1.21+ds-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.4.1, no changes needed.

  [ Alexandre Mestiashvili ]
  * d/watch, track new upstream
  * d/copyright:
    + new upstream source
    + switch to GPL-3+
    + add upstream to debian/* section
  * New upstream version 1.21+ds, Closes: #1026327
  * d/control
    + update build deps
    + update Homepage and Description
    + Rules-Requires-Root: no
    + bump Policy to 4.6.2
    + introduce XS-Go-Import-Path and Built-Using headers
  * d/rules, new build rules
  * d/docs, install only README.md
  * d/NEWS, new codebase
  * add d/lintian-overrides, hd-idle is statically linked

 -- Alexandre Mestiashvili <mestia@debian.org>  Sun, 21 Apr 2024 17:21:11 +0200

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_install:
	mv -vf ${CURDIR}/debian/${DEB_SOURCE}/usr/bin ${CURDIR}/debian/${DEB_SOURCE}/usr/sbin

override_dh_installman:
	dh_installman debian/hd-idle.8

=== debian/watch ===
version=4
opts="searchmode=plain, dversionmangle=s/\.ds//, \
filenamemangle=s%.*/v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,repacksuffix=+ds,repack" \
https://api.github.com/repos/adelolmo/hd-idle/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
